import { NgModule, ErrorHandler } from '@angular/core';
import { IonicApp, IonicModule, IonicErrorHandler } from 'ionic-angular';
import { MyApp } from './app.component';
import { AlertPage } from '../pages/alert/alert';
import { AccountPage } from '../pages/account/account';
import { ForumsPage } from '../pages/forums/forums';
import { ForumPage } from '../pages/forum/forum';
import { ThreadPage } from '../pages/thread/thread';
import { ThreadNewPage } from '../pages/threadNew/threadNew';
import { ThreadReplyPage } from '../pages/threadReply/threadReply';
import { RecentActivityPage } from '../pages/recentActivity/recentActivity';
import { TabsPage } from '../pages/tabs/tabs';
import { ChatPage } from '../pages/chat/chat';
import { ChatOnlinePage } from '../pages/chatOnline/chatOnline';
import { BrowserloginPage } from '../pages/browserlogin/browserlogin';
import { Browserlogin2faPage } from '../pages/browserlogin2fa/browserlogin2fa';
import { BrowserTermsPage } from '../pages/browserTerms/browserTerms';
import { BrowserPage } from '../pages/browser/browser';
import { _kindofemptyPage } from '../pages/_kindofempty/_kindofempty';

import { Storage } from '@ionic/storage';
import { User } from '../providers/user';
import { Api } from '../providers/api';

import { Elastic } from '../directives/elastic';
import { FillContainerVertically } from '../directives/fillcontainer';
import { SafeHtmlPipe } from '../directives/safeHtml';

@NgModule({
    declarations: [
        MyApp,
        AlertPage,
        AccountPage,
        ForumsPage,
        ForumPage,
        ThreadPage,
        RecentActivityPage,
        ChatPage,
        ChatOnlinePage,
        ThreadNewPage,
        ThreadReplyPage,
        TabsPage,
        BrowserloginPage,
        Browserlogin2faPage,
        BrowserTermsPage,
        BrowserPage,
        Elastic,
        FillContainerVertically,
        SafeHtmlPipe,
        _kindofemptyPage,
    ],
    imports: [
        IonicModule.forRoot(MyApp),
    ],
    bootstrap: [IonicApp],
    entryComponents: [
        MyApp,
        AlertPage,
        AccountPage,
        ForumsPage,
        ForumPage,
        ThreadPage,
        RecentActivityPage,
        ChatPage,
        ChatOnlinePage,
        ThreadNewPage,
        ThreadReplyPage,
        TabsPage,
        BrowserloginPage,
        Browserlogin2faPage,
        BrowserTermsPage,
        BrowserPage,
    ],
    providers: [
        Storage,
        User,
        Api,
        {provide: ErrorHandler, useClass: IonicErrorHandler}
    ],
    exports: [
        Elastic,
        FillContainerVertically,
        SafeHtmlPipe,
    ]
})
export class AppModule {}
