import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { Platform } from 'ionic-angular';
import { InAppBrowser } from 'ionic-native';

@Component({
    selector: 'page-browser',
    templateUrl: 'browser.html'
})
export class BrowserPage {
    constructor(public navCtrl: NavController, public platform: Platform) {
        this.navCtrl.parent.select(0);
    }
    public ionViewDidEnter(){
        this.doOpenBrowser();
    }
    public doOpenBrowser(){
        this.navCtrl.parent.select(0);
        this.platform.ready().then(() => {
            let page:string = (
                "<!DOCTYPE html>"+
                "<html style=\""+
                //styling begin
                "background-color: rgb(45, 45, 45);"+
                "color:#fff;"+
                "font-family:'Open Sans',Helvetica,Arial,sans-serif;"+
                //styling end
                "\">"+
                "<head>"+
                "<meta charset=\"utf-8\" />"+
                "<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">"+
                "<title>Redirect page</title>"+
                "</head>"+
                "<body>"+
                "<h1 style=\"text-align:center\">"+
                "Kinmunity"+ // site name
                "</h1>"+
                "<h3>Loading...</h3>"+
                "<script>window.location.replace(\""+
                "https://www.kinmunity.com/"+ // site location
                "\");</script>"+
                "</body>"+
                "</html>"
            );
            new InAppBrowser(
                'data:text/html;base64,'+btoa(page),'_blank',
                'location=yes,hidden=no,clearcache=no,clearsessioncache=no,zoom=no'
            );
            this.navCtrl.parent.select(0);
        });
    }
}
