import { Component } from '@angular/core';

import { NavController } from 'ionic-angular';

import { Api } from '../../providers/api';
import { Storage } from '@ionic/storage';

@Component({
    selector: 'page-browserTerms',
    templateUrl: 'browserTerms.html'
})
export class BrowserTermsPage {
    private terms = '';
    constructor(public navCtrl: NavController, public api: Api, public storage: Storage) {
        this.doUpdate();
    }

    doUpdate(){
        let cacheKey = 'termsOfService';
        this.storage.ready().then(()=>{
            this.storage.get('accountToken').then((accountToken)=>{
                if(!accountToken){
                    accountToken = "";
                }
                this.storage.get(cacheKey).then((cachedAccount)=>{
                    if(!cachedAccount){
                        cachedAccount = '';
                    }else{
                        cachedAccount = JSON.parse(cachedAccount);
                    }
                    this.terms = cachedAccount;
                    let apiRq = this.api.get('TermsOfService',{
                        'cookie':accountToken,
                    });
                    apiRq.subscribe((apiReply)=>{
                        let received = apiReply.json();
                        this.terms = received;
                        this.storage.set(cacheKey,JSON.stringify(this.terms));
                        console.info(received);
                    });
                });
            });
        });
    }
}
