import { Component } from '@angular/core';
import { Storage } from '@ionic/storage';

import { NavController, ToastController,  AlertController } from 'ionic-angular';
import { User } from '../../providers/user';

import { Browserlogin2faPage } from '../browserlogin2fa/browserlogin2fa';

declare var window: any;

@Component({
    selector: 'page-browserlogin',
    templateUrl: 'browserlogin.html',
})
export class BrowserloginPage {

    constructor(
        public navCtrl: NavController,
        public user: User,
        public toastCtrl: ToastController,
        public alertCtrl: AlertController,
        public storage: Storage
    ) {
        this.storage.ready().then(()=>{
            this.storage.get('accountToken').then((val)=>{
                this.account.token = val;
            });
        });
    }
    account: {token: string, email: string, password: string} = {
        token: '',
        email: '',
        password: ''
    };
    doLogin(){
        if(this.account.email.length>0 && this.account.password.length>0){
            this.user.goLogin(
                this.account.email,
                this.account.password
            ).subscribe(data => {
                let jsondata = data.json();
                if(jsondata[0]){
                    if(jsondata[0]=='2fa'){
                        this.navCtrl.pop();
                        this.navCtrl.push(Browserlogin2faPage,{
                            'lgn': this.account.email,
                            'pwd': this.account.password,
                        });
                        return;
                    }
                    this.navCtrl.pop();
                    let toast1 = this.toastCtrl.create({
                        message: "Logged in",
                        duration: 1.0*1000,
                        position: 'top'
                    });
                    toast1.present();
                }else{
                    let alert = this.alertCtrl.create({
                        title: jsondata[1],
                        message: jsondata[2],
                        buttons: ['OK']
                    });
                    alert.present();
                }
            });
        }
    }

    detectSend(keyCode){
        if(keyCode === 13){
            this.doLogin();
        }
    }

    clickRegister(email){
        window.open('https://www.kinmunity.com/register?login='+this.account.email);
    }

    clickLostPw(){
        window.open('https://www.kinmunity.com/lost-password');
    }
}
