import { Component } from '@angular/core';
import { Storage } from '@ionic/storage';

import { NavController, NavParams, ToastController,  AlertController } from 'ionic-angular';
import { Api } from '../../providers/api';

@Component({
    selector: 'page-browserlogin2fa',
    templateUrl: 'browserlogin2fa.html',
})
export class Browserlogin2faPage {

    constructor(
        public navCtrl: NavController,
        public navParams: NavParams,
        public toastCtrl: ToastController,
        public alertCtrl: AlertController,
        public storage: Storage,
        public api: Api
    ) {
        this.account.email = navParams.get('lgn');
        this.account.password = navParams.get('pwd');
        let apiRq = this.api.get('LoginTfa',{
            'lgn': this.account.email,
            'pwd': this.account.password
        });
        apiRq.subscribe((apiReply)=>{
            let received = apiReply.json();
            this.emailNotice = received[1];
            this.authTypes = received[2];
            this.loading = false;
        });
    }
    public loading:boolean = true;
    public authTypes:Array<Object> = [];
    public emailNotice:string = '';
    private account: {email: string, password: string} = {
        email: '',
        password: '',
    };
    doClick(){
    }

    doLogin(){

    }

    doAuth(type){
        console.log(type);
        let alert = this.alertCtrl.create({
            title: type.title,
            inputs: [
                {
                    name: 'code',
                    placeholder: 'Code'
                },
            ],
            buttons: [
                {
                    text: 'Cancel',
                    role: 'cancel',
                },
                {
                    text: 'Login',
                    handler: data => {
                        let apiRq = this.api.get('LoginTfa',{
                            lgn: this.account.email,
                            pwd: this.account.password,
                            provider: type.type,
                            code: data.code
                        })
                        apiRq.subscribe((apiReply)=>{
                            let received = apiReply.json();
                            if(received[0]){
                                this.storage.set('accountToken',received[1]);
                                let toast1 = this.toastCtrl.create({
                                    message: "Logged in",
                                    duration: 1.5*1000,
                                    position: 'top'
                                });
                                toast1.present();
                                this.navCtrl.pop();
                            }else{
                                let alert = this.alertCtrl.create({
                                    title: 'Failed',
                                    message: received[1],
                                    buttons: ['OK']
                                });
                                alert.present();
                            }
                        });
                    }
                }
            ]
        });
        alert.present();
    }

    detectSend(keyCode){
        if(keyCode === 13){
            this.doLogin();
        }
    }
}
