import { Component } from '@angular/core';

import { NavController, ToastController } from 'ionic-angular';

import { ForumPage } from '../forum/forum';
import { RecentActivityPage } from '../recentActivity/recentActivity';

import { Api } from '../../providers/api';
import { Storage } from '@ionic/storage';

@Component({
    selector: 'page-forums',
    templateUrl: 'forums.html'
})
export class ForumsPage {
    private forums = [];

    constructor(public navCtrl: NavController, public api: Api, public storage: Storage, public toastCtrl: ToastController) {
        this.doUpdate();
    }

    doUpdate(){
        this.storage.ready().then(()=>{
            this.storage.get('accountToken').then((accountToken)=>{
                if(!accountToken){
                    accountToken = "";
                }
                this.storage.get('forums').then((cachedForums)=>{
                    if(!cachedForums){
                        cachedForums = [];
                    }else{
                        cachedForums = JSON.parse(cachedForums);
                    }
                    this.forums = cachedForums;
                    let apiRq = this.api.get('ListForum',{'cookie':accountToken});
                    apiRq.subscribe((apiReply)=>{
                        this.forums = apiReply.json();
                        this.storage.set('forums',JSON.stringify(this.forums));
                    });
                });
            });
        });
    }

    enterForum(forum){
        if(forum['fr']){
            this.navCtrl.push(ForumPage,{
                'clickedForum': forum,
            });
        }else{
            let toast1 = this.toastCtrl.create({
                message: "'"+forum['nm']+"' is a category",
                duration: 1.0*1000,
                position: 'top'
            });
            toast1.present();
        }
    }

    checkNewest(){
        this.navCtrl.push(RecentActivityPage);
    }
}
