import { Component } from '@angular/core';

import { NavController } from 'ionic-angular';

import { Api } from '../../providers/api';
import { Storage } from '@ionic/storage';

import { ThreadPage } from '../thread/thread';

@Component({
    selector: 'page-recentActivity',
    templateUrl: 'recentActivity.html'
})
export class RecentActivityPage {
    private threads = [];

    constructor(public navCtrl: NavController, public api: Api, public storage: Storage) {
        this.doUpdate();
    }

    doUpdate(){
        let cacheKey = 'forum-recent';
        this.storage.ready().then(()=>{
            this.storage.get('accountToken').then((accountToken)=>{
                if(!accountToken){
                    accountToken = "";
                }
                this.storage.get(cacheKey).then((cachedForum)=>{
                    if(!cachedForum){
                        cachedForum = [];
                    }else{
                        cachedForum = JSON.parse(cachedForum);
                    }
                    this.threads = cachedForum;
                    let apiRq = this.api.get('ListRecentThreadPosts',{
                        'cookie':accountToken,
                    });
                    apiRq.subscribe((apiReply)=>{
                        let received = apiReply.json();
                        let threads = [];
                        for(let threadId in received){
                            threads.push(received[threadId]);
                        }
                        threads.sort((a,b)=>{
                            return a['last_post_id']-b['last_post_id'];
                        })
                        threads.reverse();
                        if(received['page']==1){
                            this.storage.set(cacheKey,JSON.stringify(threads));
                        }
                        this.threads = threads;
                        console.info(received);
                        console.info(threads);
                        this.storage.set(cacheKey,JSON.stringify(threads));
                    });
                });
            });
        });
    }
    enterThread(thread){
        this.navCtrl.push(ThreadPage,{
            'clickedThread': thread,
        });
    }
}
