import { Injectable } from '@angular/core';
import { Http } from '@angular/http';
import { Storage } from '@ionic/storage';
import { Api } from './api';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/toPromise';

@Injectable()
export class User {
    constructor(public http: Http, public api: Api, public storage: Storage) {
    }

    goLogin(username:string,password:string){
        let content = this.api.get('login',{
            lgn:username,
            pwd:password
        });
        content.subscribe(data => {
            let jsondata = data.json();
            if(jsondata[0]===true){
                this.storage.set('accountToken',jsondata[1]);
            }
            console.info("Received login data: ",data.json());
        });
        return content;
    }
}
